### Function

# Gtk Windowset_auto_startup_notification

#### Declaration [src]

    void
    gtk_window_set_auto_startup_notification (
      gboolean setting
    )

#### Description [src]

Sets whether the window should request startup notification.

By default, after showing the first `GtkWindow`, GTK calls `gdk_toplevel_set_startup_id()`. Call this function to disable the automatic startup notification. You might do this if your first window is a splash screen, and you want to delay notification until after your real main window has been shown, for example.

In that example, you would disable startup notification temporarily, show your splash screen, then re-enable it so that showing the main window would automatically result in notification.

#### Parameters

`setting`

  Type: `gboolean`

  `TRUE` to automatically do startup notification.